---
title: 'DeviceMotionEventAcceleration: x'
slug: Web/API/DeviceMotionEventAcceleration/x
tags:
  - API
  - DeviceAcceleration
  - NeedsExample
  - Property
  - Reference
---
<div>{{ APIRef("Device Orientation Events") }}</div>

<h2 id="Summary">Summary</h2>

<p>This read-only property indicates the amount of acceleration that occurred along the X axis in a <a href="/en-US/docs/Web/API/DeviceMotionEventAcceleration"><code>DeviceMotionEventAcceleration</code></a> object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>xAccel</var> = <em>DeviceMotionEventAcceleration</em>.x;
</pre>

<h3 id="Return_Value">Return value</h3>

<dl>
 <dt><code>x</code></dt>
 <dd>A <code>double</code> indicating the amount of acceleration along the X axis. See <a href="/en-US/docs/WebAPI/Detecting_device_orientation">Accelerometer values explained</a> for details.</dd>
</dl>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("Device Orientation", "#dom-devicemotioneventacceleration-x", "DeviceMotionEventAcceleration: x")}}</td>
   <td>{{Spec2("Device Orientation")}}</td>
   <td></td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DeviceMotionEventAcceleration.x")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/DeviceMotionEventAcceleration.y"><code>DeviceMotionEventAcceleration.y</code></a></li>
 <li><a href="/en-US/docs/Web/API/DeviceMotionEventAcceleration.z"><code>DeviceMotionEventAcceleration.z</code></a></li>
</ul>
